Subject: Re: weird compile command issues
From: "Andrew Sasak" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 03 Mar 2004 12:05:15 -0500

>From: Igor Pechtchanski <[email-masked]>
>Reply-To: [email-masked]
>To: Andrew Sasak <[email-masked]>
>CC: [email-masked]
>Subject: Re: weird compile command issues
>Date: Wed, 3 Mar 2004 11:53:41 -0500 (EST)
>
>On Wed, 3 Mar 2004, Andrew Sasak wrote:
>
> > I'm using a library I found on sourceforge called tclap. I installed the
> > library correctly as far as I know. I have no problems compiling using 
>the
> > following command line: g++ -Wno-deprecated -o massflow.exe massflow.cpp
> > cycle.cpp datapoint.cpp -L F:\cygwin\usr\local\lib -ltclap
> >
> > The following command line will compile in a Windows cmd.exe but not in 
>the
> > cygwin interface (or using Xemacs): g++ -mno-cygwin -Wno-deprecated -o
> > massflow.exe -I %CYGWIN%\usr\local\include massflow.cpp cycle.cpp
> > datapoint.cpp -L %CYGWIN%\usr\local\lib -ltclap
> >
> > I get the following errors:
> > massflow.cpp:9:27: tclap/CmdLine.h: No such file or directory
> > massflow.cpp:13: error: namespace `TCLAP' undeclared
> >
> > I've tried reversing the slashes, putting paths in quotes, etc. I would 
>like
> > to be able to use Xemacs to compile and use the -mno-cygwin flag so that 
>I
> > can distribute my software without the cygwin .dll. I'm guessing there 
>might
> > be something simple I'm not seeing. Thanks for your help.
>
>You haven't told us anything about your system.  Please read the Cygwin
>problem reporting guidelines at <http://cygwin.com/problems.html> to find
>out what information needs to be provided.  However, I can probably make a
>few recommendations with what little information you supplied.
>

I'll keep that in mind next time. Fortunately this time it wasn't 
neccessary.

>It's preferable to use POSIX paths with Cygwin programs (including gcc),
>so that the above line should really be something like
>
>g++ -mno-cygwin -Wno-deprecated -o massflow.exe -I /usr/local/include 
>massflow.cpp cycle.cpp datapoint.cpp -L /usr/local/lib -ltclap
>

You got it! That was it. Thanks for your help.

_________________________________________________________________
Get a FREE online computer virus scan from McAfee when you click here. 
http://clinic.mcafee.com/clinic/ibuy/campaign.asp?cid=3963

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/